#!/bin/bash


xmin=-87.0
xmax=-82.
ymin=7.5
ymax=11.5
echo Centro

gmt gmtset MAP_FRAME_TYPE plain
gmt gmtset FONT_ANNOT_PRIMARY 10
gmt gmtset FONT_TITLE 12
gmt gmtset PS_MEDIA letter
        
ps=p.ps
gmt makecpt -Cocean -T-7200/5000/100 -Z > z.cpt
gmt psbasemap -R$xmin/$xmax/$ymin/$ymax -JM5.5i -X0.5 -Yc -B0 -K > $ps
gmt grdcut /usr/local/gmt/etopo/ETOPO1_Bed_g_gmt4.grd -R -GCR.nc
#gmt grdcut /usr/local/gmt/int_full.grd -R -GCR.nc
gmt grdgradient CR.nc -A50 -GCR_int.nc
gmt grdimage CR.nc -ICR_int.nc -Cz.cpt -J -O -K >> $ps


echo Sacando Costa Rica
gmt grdimage CR.nc -ICR_int.nc -Cz.cpt -J -O -K >> $ps
gmt pscoast -J -R -ENI,PA+ggray@60 -O -K -Df >> $ps
gmt pscoast -J -R -ECR+glightbrown@80 -O -K -Df >> $ps


gmt psclip  -O -J -R /usr/local/gmt/contornos/contorno_costa_rica.txt -K >> p.ps
gmt pscoast -R -J -N2/0.25,black,- -K  -Df -B -O  >> p.ps
gmt psclip  -C -O -K >> p.ps
 
rx=`echo $xmax | awk '{print $1-0.3}'`
ry=`echo $ymax | awk '{print $1-0.8}'`

sx=`echo $xmax | awk '{print $1-0.55}'`
sy=`echo $ymin | awk '{print $1+0.5}'`

gmt pscoast -J -R -O -N1/1 -W0.5 -K -Df -T$rx/$ry/2/1 -L$sx/$sy/10.0/100.0+lkm >> $ps
gmt psxy -R -O -J -K -G54/181/190 -W0.1 kml/lago*.txt >> $ps
gmt psxy -R -O -J -K -G99/146/145 -W0.1 kml/isla*.txt >> $ps
rx=`echo $xmin | awk '{print $1-0.05}'`
ry=`echo $ymin | awk '{print $1-0.12}'`
gmt pstext -O -J -R -K -F+f9p,Helvetica,black,+jBR -Gwhite <<END>> $ps
$rx $ry Laboratorio de Ingenier\355a S\355smica (UCR)
END

echo -84 10.0 > origin.d
awk -F\; '{print $1,$2+0.05,$3}' ciudades.txt | gmt gmtselect  -C0.08/origin.d -R -J -Ic > ciudades_selectas_txt.txt
awk -F\; '{print $1,$2}' ciudades.txt | gmt gmtselect  -C0.08/origin.d -R -J -Ic > ciudades_selectas_pts.txt

gmt pstext -O -J -R -K -F+f8p,Times-Italic,,+jBL ciudades_selectas_txt.txt >> $ps
gmt psxy -O -J -R -K -Ss0.1 -Gblack ciudades_selectas_pts.txt >> $ps

awk '{print $7+0.015,$6}' sismos.txt | gmt psxy -J -R -O -Sc0.3 -W0.1,black -Gblack -K >> $ps
awk '{print $7,$6}' sismos.txt | gmt psxy -J -R -O -Sc0.3 -W0.1,black -Gred -K >> $ps

d1=`echo $xmin | awk '{print $1+0.2}'`
d2=`echo $xmin | awk '{print $1+0.6}'`
e1=`echo $ymin | awk '{print $1+0.1}'`
e2=`echo $ymin | awk '{print $1+0.6}'`
e3=`echo $ymin | awk '{print $1+1.37}'`
e4=`echo $ymin | awk '{print $1+0.05}'`

gmt pstext -F+f12p,Times-Italic,black,+jBL -R -J -O -K -N <<END>> $ps
-84.8 11.3 Nicaragua
-82.5 8.7 Panam\341
END

gmt psxy -R -O -J <<END>> $ps
END

ps2pdf p.ps p.pdf
ps2pdf p.ps solo.pdf

convert -density 100 p.pdf -quality 90 output1.png
convert output1.png -crop 560x560+15+145 -quality 100 output.png 
display output.png
#done
rm -f gmt.conf *.nc z.cpt ciudades_selectas_pts.txt ciudades_selectas_txt.txt gmt.history m0.temp m1.temp output1.png par.dat ubic*.dat p.pdf p.ps origin.d  
